import java.io.*;
import graph.*;


public class GraphIO {



	public GraphIO(){

	}
	
	
	public void save(Graph graph, String dateiName){
		try{
			if (!dateiName.substring(dateiName.length()-4, dateiName.length()).equals(".grf")){
				dateiName = dateiName+".grf";
			}
			FileOutputStream fos = new FileOutputStream(dateiName);
			ObjectOutputStream os = new ObjectOutputStream(fos);
			os.writeObject(graph);
			os.close();
		} catch (IOException e){
			System.err.println(e.toString());
		}
	}
	
	public Graph load(String dateiName){
	  Graph graph = null;
		try{
		FileInputStream fis = new FileInputStream(dateiName);
		ObjectInputStream ips = new ObjectInputStream(fis);
		graph = (Graph)ips.readObject();
		ips.close();
	  } catch (ClassNotFoundException  e){
		   System.err.println(e.toString());
	    } catch (IOException  e){
			   System.err.println(e.toString());
		    } 
      return graph;
	}
}
