
import java.io.Serializable;

import graph.*;
@SuppressWarnings("serial")
public class VertexPos extends Vertex implements Serializable{
  int xPos, yPos;
  
  public VertexPos (String pID, int pX, int pY){
	  super(pID);
	  xPos = pX;
	  yPos = pY;
  }
	
  public int getX(){
	  return xPos;
  }
  
  public int getY(){
	  return yPos;
  }
  
  public void setXY(int x, int y){
	  xPos = x;
	  yPos = y;
  }
  
  
  public boolean contains(int x, int y){
	  if (x>xPos-13 && y>yPos-13 && x<xPos+13 && y<yPos+13){
		  return true;
	  }
	  else return false;
  }
  
}
