 
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 22.07.2010
  * @author
  */
public class MorseGUI extends JFrame {
  // Anfang Attribute
  private JLabel jlTxt = new JLabel();
  private JTextField jTFText = new JTextField("");
  private JLabel jLMorsecode = new JLabel();
  private JTextField jTFCode = new JTextField("");
  private JButton jBcodieren = new JButton();
  private JButton jBdecode = new JButton();
  private JLabel jLAnleitug = new JLabel();
  
    // Ende Attribute
  private MorseCodierer morseCodierer = new MorseCodierer();

  public MorseGUI(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 448;
    int frameHeight = 140;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jlTxt.setBounds(24, 24, 34, 16);
    jlTxt.setText("Text");
    jlTxt.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jlTxt);
    jTFText.setBounds(24, 48, 121, 30);
    cp.add(jTFText);
    jLMorsecode.setBounds(288, 24, 100, 16);
    jLMorsecode.setText("Morsecode");
    jLMorsecode.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLMorsecode);
    jTFCode.setBounds(288, 48, 121, 30);
    cp.add(jTFCode);
    jBcodieren.setBounds(152, 36, 123, 25);
    jBcodieren.setText(">codieren>");
    jBcodieren.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBcodieren_ActionPerformed(evt);
      }
    });
    cp.add(jBcodieren);
    jBdecode.setBounds(152, 66, 123, 25);
    jBdecode.setText("<decodieren<");
    jBdecode.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jBdecode_ActionPerformed(evt);
      }
    });
    cp.add(jBdecode);
    jLAnleitug.setBounds(24, 90, 500, 16);
    jLAnleitug.setText("Texte in Grossbuchstaben ohne Leerzeichen eingeben");
    jLAnleitug.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLAnleitug);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  public void jBcodieren_ActionPerformed(ActionEvent evt) {
    String lCode = morseCodierer.codierterText(jTFText.getText());
    jTFCode.setText(lCode);
  }

  public void jBdecode_ActionPerformed(ActionEvent evt) {
    String lCode = jTFCode.getText();
    String lText = morseCodierer.decodierterText(lCode);
    jTFText.setText(lText);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new MorseGUI("MorseAlphabet");

  }
}
