package dijkstraObjekt;

public class AktiveKnotenmenge
{
	private graph.List<DijkstraVertex> knoten;
	private FertigeKnotenmenge fertigeKnotenmenge;

	public AktiveKnotenmenge(FertigeKnotenmenge pFertigeKnotenmenge)
	{
		knoten = new graph.List<>();
		fertigeKnotenmenge = pFertigeKnotenmenge;
	}
	
	public void fuegeHinzu(DijkstraVertex pKnoten, double pEntfernung, DijkstraVertex pVorgaenger)
	{
		if(!enthaelt(pKnoten))
		{
			pKnoten.setzeEntfernung(pEntfernung);
			pKnoten.setzeVorgaenger(pVorgaenger);
			knoten.append(pKnoten);
		}
	}
	
	public void updateWennNeueEntfernungGeringer(DijkstraVertex pKnoten, double pNeueEntfernung, DijkstraVertex pNeuerVorgaenger)
	{
		if(pNeueEntfernung < pKnoten.gibEntfernung())
		{
			pKnoten.setzeEntfernung(pNeueEntfernung);
			pKnoten.setzeVorgaenger(pNeuerVorgaenger);
		}
	}
	
	public DijkstraVertex gibKnotenMitMinimalerDistanz()
	{
		DijkstraVertex minKnoten = null;
		for(knoten.toFirst();knoten.hasAccess();knoten.next())
			if(minKnoten == null || minKnoten.gibEntfernung() > knoten.getContent().gibEntfernung())
				minKnoten = knoten.getContent();
		return(minKnoten);	
	}
	
	public void finalisiereKnoten(DijkstraVertex pKnoten)
	{
		for(knoten.toFirst();knoten.hasAccess() && knoten.getContent()!=pKnoten;knoten.next());
		
		if(knoten.getContent()!=null)
		{
			fertigeKnotenmenge.fuegeHinzu(knoten.getContent());
			knoten.remove();
		}
	}
	
	public boolean enthaelt(graph.Vertex pKnoten)
	{
		for(knoten.toFirst();knoten.hasAccess() && knoten.getContent()!=pKnoten;knoten.next());
		
		if(knoten.getContent()!=null)
			return(true);
		else
			return(false);
	}
	
	public void entferneAlleKnoten()
	{
		for(knoten.toFirst();knoten.hasAccess();knoten.next())
			knoten.remove();	
	}
	
	public boolean istLeer()
	{
		return(knoten.isEmpty());
	}
}
