
public class TermBaum
{
    private BinaryTree<String> term;

    public TermBaum()
    {
       BinaryTree<String> b1 = new BinaryTree<String>("7");
       BinaryTree<String> b2 = new BinaryTree<String>("5");
       BinaryTree<String> b3 = new BinaryTree<String>("*",b1,b2);
       b1 = new BinaryTree<String>("4");
       b3 = new BinaryTree<String>("+",b1,b3);
       b2 = new BinaryTree<String>("3");
       b3 = new BinaryTree<String>("-",b3, b2);
       b1 = new BinaryTree<String>("2");
       b2 = new BinaryTree<String>("3");
       BinaryTree<String> b4 = new BinaryTree<String>("*",b1,b2);
       b1 = new BinaryTree<String>("8"); 
       b4 = new BinaryTree<String>("-",b1,b4);
       term = new BinaryTree<String>("/",b3,b4);
    }

    public String preOrder(BinaryTree<String> tree){
       String termString;
        if (!tree.isEmpty()) { 
         termString = tree.getContent()+" ";
         termString = termString + preOrder(tree.getLeftTree())+" ";
         termString = termString + preOrder(tree.getRightTree())+" ";
        } else {
            termString = "";
        }
       return termString;
    }
    
     public String inOrder(BinaryTree<String> tree){
        String termString;
         if (!tree.isEmpty()) { 
         termString = inOrder(tree.getLeftTree())+" ";
         termString = termString + tree.getContent()+" ";
         termString = termString + inOrder(tree.getRightTree())+" ";
        } else {
            termString = "";
        }
       return termString;
    }
    
    public String postOrder(BinaryTree<String> tree){
        String termString;
        if (!tree.isEmpty()) { 
         termString = postOrder(tree.getLeftTree())+" ";
         termString = termString + postOrder(tree.getRightTree())+" ";
         termString = termString + tree.getContent()+" ";
        } else {
            termString = "";
        }
       return termString;
    }
    
    public double berechne(BinaryTree<String> tree){
        double ergebnis = 0;
        String op = tree.getContent();
        switch (op) {
            case "+": { ergebnis = berechne(tree.getLeftTree()) + berechne(tree.getRightTree());
                        break;
                    }
            case "-": { ergebnis = berechne(tree.getLeftTree()) - berechne(tree.getRightTree());
                        break;
                    }
            case "*": { ergebnis = berechne(tree.getLeftTree()) * berechne(tree.getRightTree());
                        break;
                    }
            case "/": { ergebnis = berechne(tree.getLeftTree()) / berechne(tree.getRightTree());
                        break;
                    }
          default: {
            ergebnis = Double.valueOf(tree.getContent());
          }
        }     
        return ergebnis;
    }
    
    public BinaryTree<String>getTerm(){
        return term;
    }
}